Pull request:

Description
If a host has parameters, these are not available/editable via the API.

ie.
curl -H "Content-Type:application/json" -H "Accept:application/json" http://foreman:3000/hosts/FQDN

Does not return the hosts parameters. The parameters that should be returned are host level and not ones that are inherited from a
group or domain etc.

Associated revisions

Revision 79cb5cc0 - 06/17/2012 05:24 AM - Ohad Levy

fixes #1115 Host parameters are not available via the API

History

#1 - 01/29/2012 05:20 AM - Ohad Levy

- Status changed from New to Resolved

this was already done for 0.4

#2 - 06/13/2012 07:24 AM - Marcello de Sousa
- Status changed from Resolved to Feedback

- Assignee set to Ohad Levy

- Target version set to 1.0

This is not working yet. The patches are available here but are not committed in the current develop branch:

https://github.com/eedri/foreman/commit/79950a62f02913ebd780c0396028b6c52221c26a#L 2R689

#3 - 06/17/2012 06:30 AM - Ohad Levy
- Status changed from Feedback to Closed
- % Done changed from 0 to 100

Applied in changeset 79cb5cc0a019c4757a90b4e69d3264a30f7f54d1.

05/12/2024 1/1



http://foreman:3000/hosts/FQDN
https://github.com/eedri/foreman/commit/79950a62f02913ebd780c0396028b6c52221c26a#L2R689
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/79cb5cc0a019c4757a90b4e69d3264a30f7f54d1
http://www.tcpdf.org

